Erreur DKMS avec pilotes Nvidia

Demande d'aide : c'est ici.
Répondre
Avatar du membre
Coq
Membre
Membre
Messages : 41
Enregistré le : 17 avr. 2016, 10:58
Localisation : Provence
Status : Hors ligne

30 oct. 2020, 17:33

Bonjour tout le monde - ça fait une paille ! :006:

Depuis hier je me prends la tête pour retrouver un affichage digne de ce nom sur mon PC.

Je suis en sid depuis bien longtemps maintenant et jusqu'à présent je gère les aléas grâce aux plâtres essuyés par d'autres avant et grâce à apt-listbugs. Pour préciser le contexte, j'ai une carte graphique Nvidia "GeForce GTX 1050 Ti".

Sauf que hier matin je suis passé trop vite sur une alerte de apt-listbugs :mega_shok: et j'ai installé le noyau 5.9. Et là patatras, comme Nvidia l'indique ici et comme j'ai pu le voir maintenant un peu partout, les pilotes propriétaires Nvidia ne sont pas encore compatibles avec ce noyau (vivement mi-novembre !).

Après pas mal de difficultés pour purger des éléments installés, j'ai pu virer les pilotes propriétaires et revenir au noyau 5.8 par défaut. J'ai alors tenté d'installer les pilotes nvidia en version 418 (version stable). Malheureusement la compilation du module avec dkms ne fonctionne pas même pour ce noyau, comme si l'échec de compilation du pilote 450 avec le noyau 5.9 avait laissé quelque part une trace générant systématiquement une erreur à toute nouvelle tentative de compilation.
À noter qu'avant de purger le noyau 5.9, même si je démarrais sur le 5.8, dkms lançait la compilation sur le 5.9…

Me voilà donc avec un écran en résolution fixe 1024*768 au lieu du 4K usuel et incapable de revenir en arrière… Ma console tty m'offre plus de place que mon bureau graphique !

Je rajoute que comme je ne me sers pas souvent des commandes usuelles pour sortir d'une situation, je n'arrive pas à forcer une tentative de compilation avec dkms pour mettre un log ici :sad: Les dpkg-reconfigure et autres sont retombés dans l'oubli.

Merci d'avance pour votre aide.
Debian Sid avec Gnome
marcastro
Membre actif
Membre actif
Messages : 674
Enregistré le : 22 avr. 2016, 12:05
Localisation : 83560 Saint Julien
Jappix : marcastro@xmpp.jp
Status : Hors ligne

31 oct. 2020, 07:37

salut.
J'ai eu le même problème sur ma sid pour le noyau 5.9 avec une carte nvidia gforce gt 610. J'ai viré le pilote proprio pour tourner avec nouveau , tu peux réinstaller le noyau 5.9, virer le pilote graphique proprio et attendre simplement que le nouveau paquet nvidia-driver arrive dans les dépôts. En principe le paquet xserver-xorg-video-nouveau est déjà installé par défaut.
sur le forum depuis 2007.
testing 4.19-amd64#1 sid 4.19-amd64 stretch4.19- bpo nvidia-driver marcastro@xmpp.jp et climatosceptique.
Avatar du membre
Coq
Membre
Membre
Messages : 41
Enregistré le : 17 avr. 2016, 10:58
Localisation : Provence
Status : Hors ligne

31 oct. 2020, 10:11

Salut,

J'ai tenté cette solution également, mais avec le pilote nouveau je n'avais pas la possibilité de choisir la résolution et restais en 1024*768…

De ce que j'ai vu il faudrait que je crée un fichier xorg.conf. J'ai vu que par défaut aujourd'hui je n'en ai pas. Je n'ai pas encore creusé plus loin, je ne sais pas si cette absence est due à une prise en charge native par le pilote, à la prise en compte de Wayland ou à autre chose.

Je me dis qu'en fin de compte je vais peut-être créer le fichier dans le xorg.conf.d et je le supprimerai quand les pilotes Nvidia fonctionneront de nouveau. Et tant pis pour le traitement rapide des photos en attendant :pardon:

Est-ce ainsi qu'il faut procéder ? C'est qu'on est assez loin de la gestion du xorg « à l'ancienne » que j'avais manipulé il y a quelques années de ça maintenant :rolleyes:
Debian Sid avec Gnome
marcastro
Membre actif
Membre actif
Messages : 674
Enregistré le : 22 avr. 2016, 12:05
Localisation : 83560 Saint Julien
Jappix : marcastro@xmpp.jp
Status : Hors ligne

31 oct. 2020, 14:02

mais avec le pilote nouveau je n'avais pas la possibilité de choisir la résolution et restais en 1024*768…
et avec xrandr ça marche pas? En principe nouveau fonctionne out of the box, du moins chez moi ça a été toujours le cas.
sur le forum depuis 2007.
testing 4.19-amd64#1 sid 4.19-amd64 stretch4.19- bpo nvidia-driver marcastro@xmpp.jp et climatosceptique.
Avatar du membre
Coq
Membre
Membre
Messages : 41
Enregistré le : 17 avr. 2016, 10:58
Localisation : Provence
Status : Hors ligne

31 oct. 2020, 21:32

J'avance tout doucement dans mon débogage…

J'avais déjà testé en vain xrandr, voici le résultat :

Code : Tout sélectionner

# xrandr
Can't open display
Et avec mon utilisateur :

Code : Tout sélectionner

$ xrandr
xrandr: Failed to get size of gamma for output default
Screen 0: minimum 1024 x 768, current 1024 x 768, maximum 1024 x 768
default connected primary 1024x768+0+0 0mm x 0mm
   1024x768      76.00* 
Donc pour lui en ce moment je suis à fond. C'est pour ça que sous Gnome je n'ai pas la possibilité de changer de résolution.

Si je regarde ce qu'il se passe au lancement :

Code : Tout sélectionner

# dmesg --level=warn
[    0.000000] secureboot: Secure boot could not be determined (mode 0)
[    0.012773] You have booted with nomodeset. This means your GPU drivers are DISABLED
[    0.012773] Any video related functionality will be severely degraded, and you may not even be able to suspend the system properly
[    0.012773] Unless you actually understand what nomodeset does, you should reboot without enabling it
[    0.070274] MDS CPU bug present and SMT on, data leak possible. See https://www.kernel.org/doc/html/latest/admin-guide/hw-vuln/mds.html for more details.
[    0.070274] TAA CPU bug present and SMT on, data leak possible. See https://www.kernel.org/doc/html/latest/admin-guide/hw-vuln/tsx_async_abort.html for more details.
[    0.070274]  #5 #6 #7
[    1.056912] r8169 0000:03:00.0: can't disable ASPM; OS doesn't have ASPM control
[    1.069280] usb: port power management may be unreliable
[    1.448921] ata1.00: supports DRM functions and may not be fully accessible
[    1.474333] ata1.00: supports DRM functions and may not be fully accessible
[    3.385800] systemd[1]: /lib/systemd/system/plymouth-start.service:16: Unit configured to use KillMode=none. This is unsafe, as it disables systemd's process lifecycle management for the service. Please update your service to use a safer KillMode=, such as 'mixed' or 'control-group'. Support for KillMode=none is deprecated and will eventually be removed.
[   32.268055] systemd-xdg-autostart-generator[3105]: Not generating service for XDG autostart app-zeitgeist\x2ddatahub-autostart.service, error parsing Exec= line: No such file or directory
Là dedans, la ligne suivante me fait tiquer :

Code : Tout sélectionner

[    0.012773] You have booted with nomodeset. This means your GPU drivers are DISABLED
Les lignes qui suivent enfoncent le clou.

En revanche, ce que je ne sais pas, c'est pourquoi le nomodeset s'est invité dans le lancement du noyau, et comment le supprimer proprement. :icon_e_ugeek: De ce que je trouve dans mes recherches, il semble que ce soit normal avec une carte graphique Nvidia lors des installations, cependant je n'ai pas encore trouvé si le supprimer dans /etc/default/grub est risqué ou non. :icon_confused:
Debian Sid avec Gnome
Avatar du membre
Coq
Membre
Membre
Messages : 41
Enregistré le : 17 avr. 2016, 10:58
Localisation : Provence
Status : Hors ligne

31 oct. 2020, 21:57

Bon, je reviens avec du nettement mieux ! :good:

Directement dans grub, j'ai supprimé l'option nomodeset avant de lancer - heureusement que les flèches et la touche suppr suffisent, parce qu'avec le clavier bépo j'étais mal barré :shok:

Donc sans nomodeset je retrouve un pilote nouveau qui visiblement fonctionne correctement.

Code : Tout sélectionner

$ xrandr
Screen 0: minimum 320 x 200, current 3840 x 2160, maximum 16384 x 16384
DVI-D-1 disconnected (normal left inverted right x axis y axis)
HDMI-1 disconnected (normal left inverted right x axis y axis)
DP-1 disconnected (normal left inverted right x axis y axis)
HDMI-2 connected primary 3840x2160+0+0 (normal left inverted right x axis y axis) 698mm x 393mm
   3840x2160     60.00*+  60.00    50.00    59.94    59.97    30.00    30.00    25.00    24.00    29.97    23.98    29.98  
   3200x1800     59.96    59.94  
   2880x1620     59.96    59.97  
   1920x2160     59.99  
   2560x1600     59.99    59.97  
   2560x1440     59.99    59.96    59.95  
   2048x1536     75.00    60.00  
   1920x1440     75.00    60.00  
   1856x1392     75.00    60.01  
   1792x1344     75.00    60.01  
   2048x1152     59.99    59.98    59.90    59.91  
   1920x1200     59.88    59.95  
   1920x1080     60.01    59.97    59.96    60.00    60.00    50.00    59.94    59.93  
   1600x1200     75.00    70.00    65.00    60.00  
   1680x1050     74.89    69.88    59.95    59.88  
   1600x1024     60.17  
   1400x1050     74.76    70.00    59.98  
   1600x900      59.99    59.94    59.95    59.82  
   1280x1024     75.02    60.02  
   1440x900      74.98    59.89    59.90  
   1400x900      59.96    59.88  
   1280x960      60.00  
   1440x810      60.00    59.97  
   1368x768      59.88    59.85  
   1360x768      59.80    59.96  
   1280x800      59.99    59.97    59.81    59.91  
   1152x864      75.00    75.00    70.00    60.00  
   1280x720      60.00    59.99    59.86    60.00    50.00    59.94    59.74  
   1024x768      75.05    60.04    75.03    70.07    60.00  
   960x720       75.00    60.00  
   928x696       75.00    60.05  
   896x672       75.05    60.01  
   1024x576      59.95    59.96    59.90    59.82  
   960x600       59.93    60.00  
   832x624       74.55  
   960x540       59.96    59.99    59.63    59.82  
   800x600       75.00    70.00    65.00    60.00    72.19    75.00    60.32    56.25  
   840x525       74.96    69.88    60.01    59.88  
   864x486       59.92    59.57  
   720x576       50.00  
   800x512       60.17  
   700x525       74.76    70.06    59.98  
   800x450       59.95    59.82  
   720x480       60.00    59.94  
   640x512       75.02    60.02  
   720x450       59.89  
   700x450       59.96    59.88  
   640x480       60.00    75.00    72.81    75.00    66.67    60.00    59.94  
   720x405       59.51    58.99  
   720x400       70.08  
   684x384       59.88    59.85  
   680x384       59.80    59.96  
   640x400       59.88    59.98  
   576x432       75.00    75.00    70.00    60.06  
   640x360       59.86    59.83    59.84    59.32  
   512x384       75.03    70.07    60.00  
   512x288       60.00    59.92  
   416x312       74.66  
   480x270       59.63    59.82  
   400x300       72.19    75.12    60.32    56.34  
   432x243       59.92    59.57  
   320x240       72.81    75.00    60.05  
   360x202       59.51    59.13  
   320x180       59.84    59.32  
HDMI-3 disconnected (normal left inverted right x axis y axis)
C'est plus riche ! Je retrouve l'usage de la pleine résolution de mon écran et ma musique ! En plus maintenant mes consoles tty sont elles aussi en pleine résolution.

Je n'ai bien entendu plus d'alerte dans dmesg.

=> Ma question est donc : puis-je modifier sereinement /etc/default/grub et enlever nomodeset ? Quand le pilote Nvidia sera réparé, faudra-t-il revenir en arrière sur ce point - et donc me noter de le faire - ?

Quant à savoir pourquoi dkms ne compile plus le pilote, si quelqu'un a une idée je suis preneur :unknw:
Debian Sid avec Gnome
marcastro
Membre actif
Membre actif
Messages : 674
Enregistré le : 22 avr. 2016, 12:05
Localisation : 83560 Saint Julien
Jappix : marcastro@xmpp.jp
Status : Hors ligne

31 oct. 2020, 22:43

Ma question est donc : puis-je modifier sereinement /etc/default/grub et enlever nomodeset ? Quand le pilote Nvidia sera réparé, faudra-t-il revenir en arrière sur ce point - et donc me noter de le faire - ?
perso je n'ai jamais modifié le fichier grub; que ce soit avec nouveau ou le pilote nvidia proprio. Quand j'ai supprimé le pilote proprio nouveau s'est installé à la place sans intervention de ma part ni besoin de modifier le fichier grub
Mon fichier grub est le suivant:
GRUB_DEFAULT=0
GRUB_TIMEOUT=5
GRUB_DISTRIBUTOR=`lsb_release -i -s 2> /dev/null || echo Debian`
GRUB_CMDLINE_LINUX_DEFAULT=""
GRUB_CMDLINE_LINUX=""
je ne l'ai jamais modifié. Il semble que ton pilote 450.80 soit maintenant dans les dépôts; essaye de l'installer et si apt-lisbugs ne dit rien c'est que c'est bon; si il râle tu n'installes pas et tu gardes nouveau en attendant.
sur le forum depuis 2007.
testing 4.19-amd64#1 sid 4.19-amd64 stretch4.19- bpo nvidia-driver marcastro@xmpp.jp et climatosceptique.
Avatar du membre
Coq
Membre
Membre
Messages : 41
Enregistré le : 17 avr. 2016, 10:58
Localisation : Provence
Status : Hors ligne

31 oct. 2020, 22:45

Ah ah ah, ça va encore plus loin que ce que je pensais !… :tease:

Code : Tout sélectionner

$ libreoffice
Warning: failed to read path from javaldx
ERROR 4 forking process
Gênant…
Après une recherche rapide j'ai ciblé apparmor comme suspect. Un petit tour par aptitude pour désinstaller puis réinstaller l'animal :

Code : Tout sélectionner

Préparation du dépaquetage de .../apparmor_2.13.5-1_amd64.deb ...
Dépaquetage de apparmor (2.13.5-1) ...
Paramétrage de apparmor (2.13.5-1) ...
Reloading AppArmor profiles 
Erreur de l'analyseur AppArmor pour /etc/apparmor.d in /etc/apparmor.d/usr.bin.thunderbird ? la ligne 23 : Impossible d'ouvrir << abstractions/nvidia >>
Erreur de l'analyseur AppArmor pour /etc/apparmor.d in /etc/apparmor.d/usr.lib.libreoffice.program.soffice.bin ? la ligne 101 : Impossible d'ouvrir << abstractions/opencl-nvidia >>
Erreur de l'analyseur AppArmor pour /etc/apparmor.d/usr.bin.thunderbird in /etc/apparmor.d/usr.bin.thunderbird ? la ligne 23 : Impossible d'ouvrir << abstractions/nvidia >>
Erreur de l'analyseur AppArmor pour /etc/apparmor.d/usr.lib.libreoffice.program.soffice.bin in /etc/apparmor.d/usr.lib.libreoffice.program.soffice.bin ? la ligne 101 : Impossible d'ouvrir << abstractions/opencl-nvidia >>
Error: At least one profile failed to load
Visiblement, l'absence du pilote propriétaire gêne certains logiciels souhaitant utiliser le CPU.

J'arrête là pour ce soir :015:
Debian Sid avec Gnome
Avatar du membre
piratebab
Site Admin
Site Admin
Messages : 3522
Enregistré le : 24 avr. 2016, 18:41
Localisation : sud ouest
Status : Hors ligne

04 nov. 2020, 10:31

je ne vois pas de rapport entre libreoffice et le GPU. C'est plutôt un pb de java.
Avatar du membre
vv222
Modérateur
Modérateur
Messages : 396
Enregistré le : 18 avr. 2016, 20:14
Localisation : Bretagne
Contact :
Status : Hors ligne

04 nov. 2020, 15:39

D’après ce fil chez Debian-Facile l’incompatibilité du pilote non-libre nvidia avec les noyaux Linux actuels semble être corrigée.
Avatar du membre
Coq
Membre
Membre
Messages : 41
Enregistré le : 17 avr. 2016, 10:58
Localisation : Provence
Status : Hors ligne

07 nov. 2020, 16:09

Avec Sid ça fait déjà quelques temps que c'est la version 450 qui est proposée, j'ai même la 455 accessible avec experimental.

À ce jour ça coince toujours malgré mes recherches. J'ai cependant mené une nouvelle tentative.

Le bon point c'est qu'en éditant la commande grub au lancement et en supprimant nomodeset je peux démarrer en pleine résolution et avec le son :good: Le pilote nouveau ne fonctionne pas sans changer ça visiblement.

Voici ce que j'ai obtenu en installant le paquet ndivia-driver :

Code : Tout sélectionner

# aptitude
Performing actions...
Récupération des rapports de bogue… Fait
Analyse des informations Trouvé/Corrigé… Fait
Extraction des modèles depuis les paquets : 100%
Préconfiguration des paquets...
(Lecture de la base de données... 312709 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../nvidia-legacy-check_450.80.02-1_amd64.deb ...
Dépaquetage de nvidia-legacy-check (450.80.02-1) ...
Paramétrage de nvidia-legacy-check (450.80.02-1) ...
(Lecture de la base de données... 312717 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../00-nvidia-alternative_450.80.02-1_amd64.deb ...
Dépaquetage de nvidia-alternative (450.80.02-1) ...
Sélection du paquet libnvidia-glcore:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../01-libnvidia-glcore_450.80.02-1_amd64.deb ...
Dépaquetage de libnvidia-glcore:amd64 (450.80.02-1) ...
Sélection du paquet libglx-nvidia0:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../02-libglx-nvidia0_450.80.02-1_amd64.deb ...
Dépaquetage de libglx-nvidia0:amd64 (450.80.02-1) ...
Sélection du paquet libgl1-nvidia-glvnd-glx:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../03-libgl1-nvidia-glvnd-glx_450.80.02-1_amd64.deb ...
Dépaquetage de libgl1-nvidia-glvnd-glx:amd64 (450.80.02-1) ...
Sélection du paquet nvidia-egl-common précédemment désélectionné.
Préparation du dépaquetage de .../04-nvidia-egl-common_450.80.02-1_amd64.deb ...
Dépaquetage de nvidia-egl-common (450.80.02-1) ...
Sélection du paquet libnvidia-eglcore:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../05-libnvidia-eglcore_450.80.02-1_amd64.deb ...
Dépaquetage de libnvidia-eglcore:amd64 (450.80.02-1) ...
Sélection du paquet libegl-nvidia0:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../06-libegl-nvidia0_450.80.02-1_amd64.deb ...
Dépaquetage de libegl-nvidia0:amd64 (450.80.02-1) ...
Sélection du paquet nvidia-egl-icd:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../07-nvidia-egl-icd_450.80.02-1_amd64.deb ...
Dépaquetage de nvidia-egl-icd:amd64 (450.80.02-1) ...
Sélection du paquet nvidia-driver-libs:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../08-nvidia-driver-libs_450.80.02-1_amd64.deb ...
Dépaquetage de nvidia-driver-libs:amd64 (450.80.02-1) ...
Sélection du paquet libnvidia-ml1:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../09-libnvidia-ml1_450.80.02-1_amd64.deb ...
Dépaquetage de libnvidia-ml1:amd64 (450.80.02-1) ...
Sélection du paquet nvidia-driver-bin précédemment désélectionné.
Préparation du dépaquetage de .../10-nvidia-driver-bin_450.80.02-1_amd64.deb ...
Dépaquetage de nvidia-driver-bin (450.80.02-1) ...
Préparation du dépaquetage de .../11-nvidia-support_20151021+12_amd64.deb ...
Dépaquetage de nvidia-support (20151021+12) ...
Préparation du dépaquetage de .../12-xserver-xorg-video-nvidia_450.80.02-1_amd64.deb ...
Dépaquetage de xserver-xorg-video-nvidia (450.80.02-1) ...
Sélection du paquet nvidia-vdpau-driver:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../13-nvidia-vdpau-driver_450.80.02-1_amd64.deb ...
Dépaquetage de nvidia-vdpau-driver:amd64 (450.80.02-1) ...
Préparation du dépaquetage de .../14-nvidia-kernel-common_20151021+12_amd64.deb ...
Dépaquetage de nvidia-kernel-common (20151021+12) ...
Sélection du paquet nvidia-modprobe précédemment désélectionné.
Préparation du dépaquetage de .../15-nvidia-modprobe_450.66-1_amd64.deb ...
Dépaquetage de nvidia-modprobe (450.66-1) ...
Préparation du dépaquetage de .../16-nvidia-kernel-support_450.80.02-1_amd64.deb ...
Dépaquetage de nvidia-kernel-support (450.80.02-1) ...
Sélection du paquet nvidia-kernel-dkms précédemment désélectionné.
Préparation du dépaquetage de .../17-nvidia-kernel-dkms_450.80.02-1_amd64.deb ...
Dépaquetage de nvidia-kernel-dkms (450.80.02-1) ...
Sélection du paquet nvidia-driver précédemment désélectionné.
Préparation du dépaquetage de .../18-nvidia-driver_450.80.02-1_amd64.deb ...
Dépaquetage de nvidia-driver (450.80.02-1) ...
Sélection du paquet libnvidia-cfg1:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../19-libnvidia-cfg1_450.80.02-1_amd64.deb ...
Dépaquetage de libnvidia-cfg1:amd64 (450.80.02-1) ...
Préparation du dépaquetage de .../20-nvidia-persistenced_450.57-1_amd64.deb ...
Dépaquetage de nvidia-persistenced (450.57-1) ...
Sélection du paquet nvidia-settings précédemment désélectionné.
Préparation du dépaquetage de .../21-nvidia-settings_450.80.02-1_amd64.deb ...
Dépaquetage de nvidia-settings (450.80.02-1) ...
Sélection du paquet libgles1:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../22-libgles1_1.3.2-1_amd64.deb ...
Dépaquetage de libgles1:amd64 (1.3.2-1) ...
Sélection du paquet libgles-nvidia1:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../23-libgles-nvidia1_450.80.02-1_amd64.deb ...
Dépaquetage de libgles-nvidia1:amd64 (450.80.02-1) ...
Sélection du paquet libgles-nvidia2:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../24-libgles-nvidia2_450.80.02-1_amd64.deb ...
Dépaquetage de libgles-nvidia2:amd64 (450.80.02-1) ...
Sélection du paquet libnvidia-cbl:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../25-libnvidia-cbl_450.80.02-1_amd64.deb ...
Dépaquetage de libnvidia-cbl:amd64 (450.80.02-1) ...
Sélection du paquet libnvidia-glvkspirv:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../26-libnvidia-glvkspirv_450.80.02-1_amd64.deb ...
Dépaquetage de libnvidia-glvkspirv:amd64 (450.80.02-1) ...
Sélection du paquet libnvidia-rtcore:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../27-libnvidia-rtcore_450.80.02-1_amd64.deb ...
Dépaquetage de libnvidia-rtcore:amd64 (450.80.02-1) ...
Sélection du paquet nvidia-vulkan-common précédemment désélectionné.
Préparation du dépaquetage de .../28-nvidia-vulkan-common_450.80.02-1_amd64.deb ...
Dépaquetage de nvidia-vulkan-common (450.80.02-1) ...
Sélection du paquet nvidia-vulkan-icd:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../29-nvidia-vulkan-icd_450.80.02-1_amd64.deb ...
Dépaquetage de nvidia-vulkan-icd:amd64 (450.80.02-1) ...
Sélection du paquet libopengl0:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../30-libopengl0_1.3.2-1_amd64.deb ...
Dépaquetage de libopengl0:amd64 (1.3.2-1) ...
Paramétrage de nvidia-support (20151021+12) ...
Paramétrage de libnvidia-glvkspirv:amd64 (450.80.02-1) ...
Paramétrage de libnvidia-eglcore:amd64 (450.80.02-1) ...
Paramétrage de libnvidia-cbl:amd64 (450.80.02-1) ...
Paramétrage de nvidia-egl-common (450.80.02-1) ...
Paramétrage de nvidia-alternative (450.80.02-1) ...
Paramétrage de nvidia-kernel-common (20151021+12) ...
Paramétrage de libopengl0:amd64 (1.3.2-1) ...
Paramétrage de nvidia-modprobe (450.66-1) ...
Paramétrage de libgles1:amd64 (1.3.2-1) ...
Paramétrage de libnvidia-glcore:amd64 (450.80.02-1) ...
Paramétrage de nvidia-vulkan-common (450.80.02-1) ...
Paramétrage de libnvidia-rtcore:amd64 (450.80.02-1) ...
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.26-1) ...
Traitement des actions différées (« triggers ») pour mime-support (3.64) ...
Traitement des actions différées (« triggers ») pour gnome-menus (3.36.0-1) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.31-4) ...
Traitement des actions différées (« triggers ») pour glx-alternative-mesa (1.2.0) ...
update-alternatives: mise à jour de l'alternative /usr/lib/mesa-diverted car le groupe de liens glx contient des liens esclaves modifiés
Traitement des actions différées (« triggers ») pour systemd (246.6-2) ...
Traitement des actions différées (« triggers ») pour man-db (2.9.3-2) ...
Traitement des actions différées (« triggers ») pour nvidia-alternative (450.80.02-1) ...
update-alternatives: utilisation de « /usr/lib/nvidia/current » pour fournir « /usr/lib/nvidia/nvidia » (nvidia) en mode automatique
Paramétrage de xserver-xorg-video-nvidia (450.80.02-1) ...
Paramétrage de nvidia-vdpau-driver:amd64 (450.80.02-1) ...
Paramétrage de libgles-nvidia1:amd64 (450.80.02-1) ...
Paramétrage de libegl-nvidia0:amd64 (450.80.02-1) ...
Paramétrage de nvidia-settings (450.80.02-1) ...
Paramétrage de libgles-nvidia2:amd64 (450.80.02-1) ...
Paramétrage de libnvidia-ml1:amd64 (450.80.02-1) ...
Paramétrage de libnvidia-cfg1:amd64 (450.80.02-1) ...
Paramétrage de nvidia-egl-icd:amd64 (450.80.02-1) ...
Paramétrage de libglx-nvidia0:amd64 (450.80.02-1) ...
Paramétrage de nvidia-kernel-support (450.80.02-1) ...
Paramétrage de nvidia-vulkan-icd:amd64 (450.80.02-1) ...
Paramétrage de libgl1-nvidia-glvnd-glx:amd64 (450.80.02-1) ...
Paramétrage de nvidia-kernel-dkms (450.80.02-1) ...
Loading new nvidia-current-450.80.02 DKMS files...
Building for 5.9.0-1-amd64
Module build for kernel 5.9.0-1-amd64 was skipped since the
kernel headers for this kernel does not seem to be installed.
Paramétrage de nvidia-driver-bin (450.80.02-1) ...
Paramétrage de nvidia-driver-libs:amd64 (450.80.02-1) ...
Paramétrage de nvidia-persistenced (450.57-1) ...
Job for nvidia-persistenced.service failed because the control process exited with error code.
See "systemctl status nvidia-persistenced.service" and "journalctl -xe" for details.
Paramétrage de nvidia-driver (450.80.02-1) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.31-4) ...
Traitement des actions différées (« triggers ») pour glx-alternative-nvidia (1.2.0) ...
Traitement des actions différées (« triggers ») pour glx-alternative-mesa (1.2.0) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.31-4) ...
Press Return to continue, 'q' followed by Return to quit.
Je n'ai plus le message d'erreur à la compilation par dkms mais j'ai quand même :

Code : Tout sélectionner

Loading new nvidia-current-450.80.02 DKMS files...
Building for 5.9.0-1-amd64
Module build for kernel 5.9.0-1-amd64 was skipped since the
kernel headers for this kernel does not seem to be installed.
Paramétrage de nvidia-driver-bin (450.80.02-1) ...
Paramétrage de nvidia-driver-libs:amd64 (450.80.02-1) ...
Paramétrage de nvidia-persistenced (450.57-1) ...
Job for nvidia-persistenced.service failed because the control process exited with error code.
See "systemctl status nvidia-persistenced.service" and "journalctl -xe" for details.
Paramétrage de nvidia-driver (450.80.02-1) ...
En complément, mais ça ne va probablement pas aider car le soucis est visiblement toujours à la compilation…

Code : Tout sélectionner

# systemctl status nvidia-persistenced.service
● nvidia-persistenced.service - NVIDIA Persistence Daemon
     Loaded: loaded (/lib/systemd/system/nvidia-persistenced.service; enabled; vendor preset: enabled)
     Active: failed (Result: exit-code) since Sat 2020-11-07 15:55:10 CET; 5min ago
    Process: 664 ExecStart=/usr/bin/nvidia-persistenced --user nvpd (code=exited, status=1/FAILURE)
    Process: 679 ExecStopPost=/bin/rm -rf /var/run/nvidia-persistenced (code=exited, status=0/SUCCESS)

nov. 07 15:55:10 jupiter systemd[1]: Starting NVIDIA Persistence Daemon...
nov. 07 15:55:10 jupiter nvidia-persistenced[671]: Started (671)
nov. 07 15:55:10 jupiter nvidia-persistenced[671]: Failed to open libnvidia-cfg.so.1: libnvidia-cfg.so.1: cannot open shared object file: No such file or directory
nov. 07 15:55:10 jupiter nvidia-persistenced[671]: Shutdown (671)
nov. 07 15:55:10 jupiter nvidia-persistenced[664]: nvidia-persistenced failed to initialize. Check syslog for more details.
nov. 07 15:55:10 jupiter systemd[1]: nvidia-persistenced.service: Control process exited, code=exited, status=1/FAILURE
nov. 07 15:55:10 jupiter systemd[1]: nvidia-persistenced.service: Failed with result 'exit-code'.
nov. 07 15:55:10 jupiter systemd[1]: Failed to start NVIDIA Persistence Daemon.
Et le résultat de la commande journalctl -xe dans le fichier joint.
journalctl-xe.txt
La question que je me pose est : est-ce que ça peut être lié au fait que je n'ai plus gcc-7 sur ma machine ?
Les soucis de dépendance de libc6-dev avec libgcc-7-dev m'empêchent de l'installer pour valider cette hypothèse, je ne m'en sors pas malgré plusieurs tentatives :crazy:
Vous n’avez pas les permissions nécessaires pour voir les fichiers joints à ce message.
Debian Sid avec Gnome
marcastro
Membre actif
Membre actif
Messages : 674
Enregistré le : 22 avr. 2016, 12:05
Localisation : 83560 Saint Julien
Jappix : marcastro@xmpp.jp
Status : Hors ligne

10 nov. 2020, 22:26

le message indique que:

kernel headers for this kernel does not seem to be installed.

il faut installer les headers pour ton kernel
sur le forum depuis 2007.
testing 4.19-amd64#1 sid 4.19-amd64 stretch4.19- bpo nvidia-driver marcastro@xmpp.jp et climatosceptique.
MicP
Modérateur
Modérateur
Messages : 636
Enregistré le : 16 avr. 2016, 22:14
Status : Hors ligne

11 nov. 2020, 09:14

Bonjour

Code : Tout sélectionner

 kernel headers for this kernel does not seem to be installed.
Donc, avec les privilèges du compte root :

Code : Tout sélectionner

apt install linux-headers-$(uname -r)
Avatar du membre
Coq
Membre
Membre
Messages : 41
Enregistré le : 17 avr. 2016, 10:58
Localisation : Provence
Status : Hors ligne

12 nov. 2020, 19:12

Je voulais vérifier, j'ai lancé aptitude et fait quelques mises à jour… Dont linux-image-amd64 et linux-headers-amd64.

Voici la sortie (142 paquets, un extrait plus cours suit) :

Code : Tout sélectionner

Performing actions...
Récupération des rapports de bogue… Fait
Analyse des informations Trouvé/Corrigé… Fait
Extraction des modèles depuis les paquets : 100%
Préconfiguration des paquets...
(Lecture de la base de données... 313459 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../dash_0.5.11+git20200708+dd9ef66-2_amd64.deb ...
Dépaquetage de dash (0.5.11+git20200708+dd9ef66-2) sur (0.5.10.2-7) ...
Paramétrage de dash (0.5.11+git20200708+dd9ef66-2) ...
(Lecture de la base de données... 313459 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../archives/grep_3.6-1_amd64.deb ...
Dépaquetage de grep (3.6-1) sur (3.4-1) ...
Paramétrage de grep (3.6-1) ...
(Lecture de la base de données... 313460 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../libpurple0_2.13.0-2.2+b2_amd64.deb ...
Dépaquetage de libpurple0 (2.13.0-2.2+b2) sur (2.13.0-2.2+b1) ...
Préparation du dépaquetage de .../libsnmp40_5.9+dfsg-3+b1_amd64.deb ...
Dépaquetage de libsnmp40:amd64 (5.9+dfsg-3+b1) sur (5.9+dfsg-3) ...
Préparation du dépaquetage de .../libimage-magick-q16-perl_8%3a6.9.11.24+dfsg-1+b2_amd64.deb ...
Dépaquetage de libimage-magick-q16-perl (8:6.9.11.24+dfsg-1+b2) sur (8:6.9.11.24+dfsg-1+b1) ...
dpkg: libperl5.30:amd64 : problème de dépendance, mais suppression comme demandé :
 perl dépend de libperl5.30 (= 5.30.3-4).

(Lecture de la base de données... 313463 fichiers et répertoires déjà installés.)
Suppression de libperl5.30:amd64 (5.30.3-4) ...
dpkg: perl-modules-5.30 : problème de dépendance, mais suppression comme demandé :
 perl dépend de perl-modules-5.30 (>= 5.30.3-4).

Suppression de perl-modules-5.30 (5.30.3-4) ...
(Lecture de la base de données... 311592 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../00-perl-tk_1%3a804.035-0.1+b1_amd64.deb ...
Dépaquetage de perl-tk (1:804.035-0.1+b1) sur (1:804.035-0.1) ...
Préparation du dépaquetage de .../01-libhtml-parser-perl_3.75-1+b1_amd64.deb ...
Dépaquetage de libhtml-parser-perl (3.75-1+b1) sur (3.75-1) ...
Préparation du dépaquetage de .../02-libglib-perl_3%3a1.329.3-1+b1_amd64.deb ...
Dépaquetage de libglib-perl:amd64 (3:1.329.3-1+b1) sur (3:1.329.3-1) ...
Préparation du dépaquetage de .../03-libglib-object-introspection-perl_0.049-1+b1_amd64.deb ...
Dépaquetage de libglib-object-introspection-perl (0.049-1+b1) sur (0.049-1) ...
Préparation du dépaquetage de .../04-libxml-parser-perl_2.46-1+b2_amd64.deb ...
Dépaquetage de libxml-parser-perl (2.46-1+b2) sur (2.46-1+b1) ...
Préparation du dépaquetage de .../05-libunicode-linebreak-perl_0.0.20190101-1+b3_amd64.deb ...
Dépaquetage de libunicode-linebreak-perl (0.0.20190101-1+b3) sur (0.0.20190101-1+b2) ...
Préparation du dépaquetage de .../06-libtext-iconv-perl_1.7-7+b1_amd64.deb ...
Dépaquetage de libtext-iconv-perl (1.7-7+b1) sur (1.7-7) ...
Préparation du dépaquetage de .../07-libtext-charwidth-perl_0.04-10+b1_amd64.deb ...
Dépaquetage de libtext-charwidth-perl (0.04-10+b1) sur (0.04-10) ...
Préparation du dépaquetage de .../08-libsub-name-perl_0.26-1+b1_amd64.deb ...
Dépaquetage de libsub-name-perl (0.26-1+b1) sur (0.26-1) ...
Préparation du dépaquetage de .../09-libposix-strptime-perl_0.13-1+b7_amd64.deb ...
Dépaquetage de libposix-strptime-perl (0.13-1+b7) sur (0.13-1+b6) ...
Préparation du dépaquetage de .../10-libnet-ssleay-perl_1.88-3+b1_amd64.deb ...
Dépaquetage de libnet-ssleay-perl (1.88-3+b1) sur (1.88-3) ...
Préparation du dépaquetage de .../11-libnet-dbus-perl_1.2.0-1+b1_amd64.deb ...
Dépaquetage de libnet-dbus-perl (1.2.0-1+b1) sur (1.2.0-1) ...
Préparation du dépaquetage de .../12-perl_5.32.0-4_amd64.deb ...
Dépaquetage de perl (5.32.0-4) sur (5.30.3-4) ...
Sélection du paquet perl-modules-5.32 précédemment désélectionné.
Préparation du dépaquetage de .../13-perl-modules-5.32_5.32.0-4_all.deb ...
Dépaquetage de perl-modules-5.32 (5.32.0-4) ...
Sélection du paquet libperl5.32:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../14-libperl5.32_5.32.0-4_amd64.deb ...
Dépaquetage de libperl5.32:amd64 (5.32.0-4) ...
Préparation du dépaquetage de .../15-perl-base_5.32.0-4_amd64.deb ...
Dépaquetage de perl-base (5.32.0-4) sur (5.30.3-4) ...
Paramétrage de perl-base (5.32.0-4) ...
(Lecture de la base de données... 313524 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../0-liblocale-gettext-perl_1.07-4+b1_amd64.deb ...
Dépaquetage de liblocale-gettext-perl (1.07-4+b1) sur (1.07-4) ...
Préparation du dépaquetage de .../1-liblist-moreutils-perl_0.416-1+b6_amd64.deb ...
Dépaquetage de liblist-moreutils-perl (0.416-1+b6) sur (0.416-1+b5) ...
Préparation du dépaquetage de .../2-libfile-fcntllock-perl_0.22-3+b7_amd64.deb ...
Dépaquetage de libfile-fcntllock-perl (0.22-3+b7) sur (0.22-3+b6) ...
Préparation du dépaquetage de .../3-libclone-perl_0.45-1+b1_amd64.deb ...
Dépaquetage de libclone-perl (0.45-1+b1) sur (0.45-1) ...
Préparation du dépaquetage de .../4-libcairo-perl_1.107-1+b1_amd64.deb ...
Dépaquetage de libcairo-perl (1.107-1+b1) sur (1.107-1) ...
Préparation du dépaquetage de .../5-libcairo-gobject-perl_1.005-2+b2_amd64.deb ...
Dépaquetage de libcairo-gobject-perl (1.005-2+b2) sur (1.005-2+b1) ...
Préparation du dépaquetage de .../6-libapt-pkg-perl_0.1.36+b4_amd64.deb ...
Dépaquetage de libapt-pkg-perl (0.1.36+b4) sur (0.1.36+b3) ...
Préparation du dépaquetage de .../7-libalgorithm-diff-xs-perl_0.04-6+b1_amd64.deb ...
Dépaquetage de libalgorithm-diff-xs-perl (0.04-6+b1) sur (0.04-6) ...
Préparation du dépaquetage de .../8-libwrap0_7.6.q-31_amd64.deb ...
Dépaquetage de libwrap0:amd64 (7.6.q-31) sur (7.6.q-30) ...
Préparation du dépaquetage de .../9-libffi7_3.3-5_amd64.deb ...
Dépaquetage de libffi7:amd64 (3.3-5) sur (3.3-4) ...
Paramétrage de libffi7:amd64 (3.3-5) ...
(Lecture de la base de données... 313526 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../libcc1-0_10.2.0-17_amd64.deb ...
Dépaquetage de libcc1-0:amd64 (10.2.0-17) sur (10.2.0-16) ...
Préparation du dépaquetage de .../gcc-10-base_10.2.0-17_amd64.deb ...
Dépaquetage de gcc-10-base:amd64 (10.2.0-17) sur (10.2.0-16) ...
Paramétrage de gcc-10-base:amd64 (10.2.0-17) ...
(Lecture de la base de données... 313526 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../libgcc-s1_10.2.0-17_amd64.deb ...
Dépaquetage de libgcc-s1:amd64 (10.2.0-17) sur (10.2.0-16) ...
Paramétrage de libgcc-s1:amd64 (10.2.0-17) ...
(Lecture de la base de données... 313526 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../00-libgomp1_10.2.0-17_amd64.deb ...
Dépaquetage de libgomp1:amd64 (10.2.0-17) sur (10.2.0-16) ...
Préparation du dépaquetage de .../01-libitm1_10.2.0-17_amd64.deb ...
Dépaquetage de libitm1:amd64 (10.2.0-17) sur (10.2.0-16) ...
Préparation du dépaquetage de .../02-libatomic1_10.2.0-17_amd64.deb ...
Dépaquetage de libatomic1:amd64 (10.2.0-17) sur (10.2.0-16) ...
Préparation du dépaquetage de .../03-libasan6_10.2.0-17_amd64.deb ...
Dépaquetage de libasan6:amd64 (10.2.0-17) sur (10.2.0-16) ...
Préparation du dépaquetage de .../04-liblsan0_10.2.0-17_amd64.deb ...
Dépaquetage de liblsan0:amd64 (10.2.0-17) sur (10.2.0-16) ...
Préparation du dépaquetage de .../05-libtsan0_10.2.0-17_amd64.deb ...
Dépaquetage de libtsan0:amd64 (10.2.0-17) sur (10.2.0-16) ...
Préparation du dépaquetage de .../06-libubsan1_10.2.0-17_amd64.deb ...
Dépaquetage de libubsan1:amd64 (10.2.0-17) sur (10.2.0-16) ...
Préparation du dépaquetage de .../07-libquadmath0_10.2.0-17_amd64.deb ...
Dépaquetage de libquadmath0:amd64 (10.2.0-17) sur (10.2.0-16) ...
Préparation du dépaquetage de .../08-g++-10_10.2.0-17_amd64.deb ...
Dépaquetage de g++-10 (10.2.0-17) sur (10.2.0-16) ...
Préparation du dépaquetage de .../09-libstdc++-10-dev_10.2.0-17_amd64.deb ...
Dépaquetage de libstdc++-10-dev:amd64 (10.2.0-17) sur (10.2.0-16) ...
Préparation du dépaquetage de .../10-libgcc-10-dev_10.2.0-17_amd64.deb ...
Dépaquetage de libgcc-10-dev:amd64 (10.2.0-17) sur (10.2.0-16) ...
Préparation du dépaquetage de .../11-gcc-10_10.2.0-17_amd64.deb ...
Dépaquetage de gcc-10 (10.2.0-17) sur (10.2.0-16) ...
Préparation du dépaquetage de .../12-cpp-10_10.2.0-17_amd64.deb ...
Dépaquetage de cpp-10 (10.2.0-17) sur (10.2.0-16) ...
Préparation du dépaquetage de .../13-libobjc4_10.2.0-17_amd64.deb ...
Dépaquetage de libobjc4:amd64 (10.2.0-17) sur (10.2.0-16) ...
Préparation du dépaquetage de .../14-libgfortran5_10.2.0-17_amd64.deb ...
Dépaquetage de libgfortran5:amd64 (10.2.0-17) sur (10.2.0-16) ...
Préparation du dépaquetage de .../15-libstdc++6_10.2.0-17_amd64.deb ...
Dépaquetage de libstdc++6:amd64 (10.2.0-17) sur (10.2.0-16) ...
Paramétrage de libstdc++6:amd64 (10.2.0-17) ...
(Lecture de la base de données... 313526 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../poppler-data_0.4.10-1_all.deb ...
Dépaquetage de poppler-data (0.4.10-1) sur (0.4.9-2) ...
Préparation du dépaquetage de .../libidn2-0_2.3.0-3_amd64.deb ...
Dépaquetage de libidn2-0:amd64 (2.3.0-3) sur (2.3.0-2) ...
Paramétrage de libidn2-0:amd64 (2.3.0-3) ...
(Lecture de la base de données... 313542 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../00-iptables_1.8.6-1_amd64.deb ...
Dépaquetage de iptables (1.8.6-1) sur (1.8.5-3) ...
Préparation du dépaquetage de .../01-libxtables12_1.8.6-1_amd64.deb ...
Dépaquetage de libxtables12:amd64 (1.8.6-1) sur (1.8.5-3) ...
Préparation du dépaquetage de .../02-libip4tc2_1.8.6-1_amd64.deb ...
Dépaquetage de libip4tc2:amd64 (1.8.6-1) sur (1.8.5-3) ...
Préparation du dépaquetage de .../03-libip6tc2_1.8.6-1_amd64.deb ...
Dépaquetage de libip6tc2:amd64 (1.8.6-1) sur (1.8.5-3) ...
Préparation du dépaquetage de .../04-libnftnl11_1.1.8-2_amd64.deb ...
Dépaquetage de libnftnl11:amd64 (1.1.8-2) sur (1.1.8-1) ...
Préparation du dépaquetage de .../05-readline-common_8.1~rc2-2_all.deb ...
Dépaquetage de readline-common (8.1~rc2-2) sur (8.0-4) ...
Préparation du dépaquetage de .../06-libreadline8_8.1~rc2-2_amd64.deb ...
Dépaquetage de libreadline8:amd64 (8.1~rc2-2) sur (8.0-4) ...
Préparation du dépaquetage de .../07-logrotate_3.17.0-2_amd64.deb ...
Dépaquetage de logrotate (3.17.0-2) sur (3.17.0-1) ...
Préparation du dépaquetage de .../08-bind9-dnsutils_1%3a9.16.8-1_amd64.deb ...
Dépaquetage de bind9-dnsutils (1:9.16.8-1) sur (1:9.16.6-3) ...
Préparation du dépaquetage de .../09-bind9-libs_1%3a9.16.8-1_amd64.deb ...
Dépaquetage de bind9-libs:amd64 (1:9.16.8-1) sur (1:9.16.6-3) ...
Préparation du dépaquetage de .../10-bind9-host_1%3a9.16.8-1_amd64.deb ...
Dépaquetage de bind9-host (1:9.16.8-1) sur (1:9.16.6-3) ...
Préparation du dépaquetage de .../11-colord-data_1.4.5-2_all.deb ...
Dépaquetage de colord-data (1.4.5-2) sur (1.4.5-1) ...
Préparation du dépaquetage de .../12-libcolord2_1.4.5-2_amd64.deb ...
Dépaquetage de libcolord2:amd64 (1.4.5-2) sur (1.4.5-1) ...
Préparation du dépaquetage de .../13-libcolorhug2_1.4.5-2_amd64.deb ...
Dépaquetage de libcolorhug2:amd64 (1.4.5-2) sur (1.4.5-1) ...
Préparation du dépaquetage de .../14-colord_1.4.5-2_amd64.deb ...
Dépaquetage de colord (1.4.5-2) sur (1.4.5-1) ...
Préparation du dépaquetage de .../15-dnsutils_1%3a9.16.8-1_all.deb ...
Dépaquetage de dnsutils (1:9.16.8-1) sur (1:9.16.6-3) ...
Préparation du dépaquetage de .../16-exim4-base_4.94-9+b1_amd64.deb ...
Dépaquetage de exim4-base (4.94-9+b1) sur (4.94-9) ...
Préparation du dépaquetage de .../17-exim4-daemon-light_4.94-9+b1_amd64.deb ...
Dépaquetage de exim4-daemon-light (4.94-9+b1) sur (4.94-9) ...
Préparation du dépaquetage de .../18-firefox-l10n-fr_82.0.3-1_all.deb ...
Dépaquetage de firefox-l10n-fr (82.0.3-1) sur (82.0.2-1) ...
Préparation du dépaquetage de .../19-gir1.2-pango-1.0_1.46.2-3_amd64.deb ...
Dépaquetage de gir1.2-pango-1.0:amd64 (1.46.2-3) sur (1.46.2-2) ...
Préparation du dépaquetage de .../20-libpangocairo-1.0-0_1.46.2-3_amd64.deb ...
Dépaquetage de libpangocairo-1.0-0:amd64 (1.46.2-3) sur (1.46.2-2) ...
Préparation du dépaquetage de .../21-libpangoft2-1.0-0_1.46.2-3_amd64.deb ...
Dépaquetage de libpangoft2-1.0-0:amd64 (1.46.2-3) sur (1.46.2-2) ...
Préparation du dépaquetage de .../22-libpango-1.0-0_1.46.2-3_amd64.deb ...
Dépaquetage de libpango-1.0-0:amd64 (1.46.2-3) sur (1.46.2-2) ...
Préparation du dépaquetage de .../23-libpangoxft-1.0-0_1.46.2-3_amd64.deb ...
Dépaquetage de libpangoxft-1.0-0:amd64 (1.46.2-3) sur (1.46.2-2) ...
Préparation du dépaquetage de .../24-firefox_82.0.3-1_amd64.deb ...
Dépaquetage de firefox (82.0.3-1) sur (82.0.2-1) ...
Préparation du dépaquetage de .../25-firefox-esr-l10n-fr_78.4.1esr-2_all.deb ...
Dépaquetage de firefox-esr-l10n-fr (78.4.1esr-2) sur (78.4.0esr-2) ...
Préparation du dépaquetage de .../26-firefox-esr_78.4.1esr-2_amd64.deb ...
Conservation de « détournement de /usr/bin/firefox en /usr/bin/firefox.real par firefox-esr »
Dépaquetage de firefox-esr (78.4.1esr-2) sur (78.4.0esr-2) ...
Préparation du dépaquetage de .../27-fonts-noto-ui-core_20201109-1_all.deb ...
Dépaquetage de fonts-noto-ui-core (20201109-1) sur (20201027-3) ...
Préparation du dépaquetage de .../28-fonts-noto-mono_20201109-1_all.deb ...
Dépaquetage de fonts-noto-mono (20201109-1) sur (20201027-3) ...
Préparation du dépaquetage de .../29-fonts-noto-core_20201109-1_all.deb ...
Dépaquetage de fonts-noto-core (20201109-1) sur (20201027-3) ...
Préparation du dépaquetage de .../30-fonts-noto_20201109-1_all.deb ...
Dépaquetage de fonts-noto (20201109-1) sur (20201027-3) ...
Préparation du dépaquetage de .../31-fonts-noto-extra_20201109-1_all.deb ...
Dépaquetage de fonts-noto-extra (20201109-1) sur (20201027-3) ...
Préparation du dépaquetage de .../32-fonts-noto-ui-extra_20201109-1_all.deb ...
Dépaquetage de fonts-noto-ui-extra (20201109-1) sur (20201027-3) ...
Préparation du dépaquetage de .../33-fonts-noto-unhinted_20201109-1_all.deb ...
Dépaquetage de fonts-noto-unhinted (20201109-1) sur (20201027-3) ...
Préparation du dépaquetage de .../34-gir1.2-colord-1.0_1.4.5-2_amd64.deb ...
Dépaquetage de gir1.2-colord-1.0:amd64 (1.4.5-2) sur (1.4.5-1) ...
Préparation du dépaquetage de .../35-gnome-desktop3-data_3.38.1-2_all.deb ...
Dépaquetage de gnome-desktop3-data (3.38.1-2) sur (3.38.1-1) ...
Préparation du dépaquetage de .../36-libgnome-desktop-3-19_3.38.1-2_amd64.deb ...
Dépaquetage de libgnome-desktop-3-19:amd64 (3.38.1-2) sur (3.38.1-1) ...
Préparation du dépaquetage de .../37-gir1.2-gnomedesktop-3.0_3.38.1-2_amd64.deb ...
Dépaquetage de gir1.2-gnomedesktop-3.0:amd64 (3.38.1-2) sur (3.38.1-1) ...
Préparation du dépaquetage de .../38-gnome-shell-extension-weather_0.0~git20201103.d8be50f-1_all.deb ...
Dépaquetage de gnome-shell-extension-weather (0.0~git20201103.d8be50f-1) sur (0~20170402.git34506a6-2) ...
Préparation du dépaquetage de .../39-nautilus-extension-gnome-terminal_3.38.1-2_amd64.deb ...
Dépaquetage de nautilus-extension-gnome-terminal (3.38.1-2) sur (3.38.1-1) ...
Préparation du dépaquetage de .../40-gnome-terminal-data_3.38.1-2_all.deb ...
Dépaquetage de gnome-terminal-data (3.38.1-2) sur (3.38.1-1) ...
Préparation du dépaquetage de .../41-gnome-terminal_3.38.1-2_amd64.deb ...
Dépaquetage de gnome-terminal (3.38.1-2) sur (3.38.1-1) ...
Préparation du dépaquetage de .../42-libayatana-ido3-0.4-0_0.8.1-1_amd64.deb ...
Dépaquetage de libayatana-ido3-0.4-0:amd64 (0.8.1-1) sur (0.8.0-1) ...
Préparation du dépaquetage de .../43-libayatana-indicator3-7_0.8.3-1_amd64.deb ...
Dépaquetage de libayatana-indicator3-7:amd64 (0.8.3-1) sur (0.8.2-1) ...
Préparation du dépaquetage de .../44-libcharls2_2.1.0+dfsg-8_amd64.deb ...
Dépaquetage de libcharls2:amd64 (2.1.0+dfsg-8) sur (2.1.0+dfsg-6) ...
Préparation du dépaquetage de .../45-libdrm-common_2.4.103-1_all.deb ...
Dépaquetage de libdrm-common (2.4.103-1) sur (2.4.102-1) ...
Préparation du dépaquetage de .../46-libdrm2_2.4.103-1_amd64.deb ...
Dépaquetage de libdrm2:amd64 (2.4.103-1) sur (2.4.102-1) ...
Préparation du dépaquetage de .../47-libdrm-amdgpu1_2.4.103-1_amd64.deb ...
Dépaquetage de libdrm-amdgpu1:amd64 (2.4.103-1) sur (2.4.102-1) ...
Préparation du dépaquetage de .../48-libdrm-intel1_2.4.103-1_amd64.deb ...
Dépaquetage de libdrm-intel1:amd64 (2.4.103-1) sur (2.4.102-1) ...
Préparation du dépaquetage de .../49-libdrm-nouveau2_2.4.103-1_amd64.deb ...
Dépaquetage de libdrm-nouveau2:amd64 (2.4.103-1) sur (2.4.102-1) ...
Préparation du dépaquetage de .../50-libdrm-radeon1_2.4.103-1_amd64.deb ...
Dépaquetage de libdrm-radeon1:amd64 (2.4.103-1) sur (2.4.102-1) ...
Préparation du dépaquetage de .../51-libegl-mesa0_20.2.2-1_amd64.deb ...
Dépaquetage de libegl-mesa0:amd64 (20.2.2-1) sur (20.2.1-1) ...
Préparation du dépaquetage de .../52-libgbm1_20.2.2-1_amd64.deb ...
Dépaquetage de libgbm1:amd64 (20.2.2-1) sur (20.2.1-1) ...
Préparation du dépaquetage de .../53-libgl1-mesa-dri_20.2.2-1_amd64.deb ...
Dépaquetage de libgl1-mesa-dri:amd64 (20.2.2-1) sur (20.2.1-1) ...
Préparation du dépaquetage de .../54-libglx-mesa0_20.2.2-1_amd64.deb ...
Dépaquetage de libglx-mesa0:amd64 (20.2.2-1) sur (20.2.1-1) ...
Préparation du dépaquetage de .../55-libglapi-mesa_20.2.2-1_amd64.deb ...
Dépaquetage de libglapi-mesa:amd64 (20.2.2-1) sur (20.2.1-1) ...
Préparation du dépaquetage de .../56-libfyba0_4.1.1-7_amd64.deb ...
Dépaquetage de libfyba0:amd64 (4.1.1-7) sur (4.1.1-6) ...
Préparation du dépaquetage de .../57-libkmlbase1_1.3.0-9_amd64.deb ...
Dépaquetage de libkmlbase1:amd64 (1.3.0-9) sur (1.3.0-8) ...
Préparation du dépaquetage de .../58-libkmldom1_1.3.0-9_amd64.deb ...
Dépaquetage de libkmldom1:amd64 (1.3.0-9) sur (1.3.0-8) ...
Préparation du dépaquetage de .../59-libkmlengine1_1.3.0-9_amd64.deb ...
Dépaquetage de libkmlengine1:amd64 (1.3.0-9) sur (1.3.0-8) ...
Préparation du dépaquetage de .../60-libogdi4.1_4.1.0+ds-3_amd64.deb ...
Dépaquetage de libogdi4.1 (4.1.0+ds-3) sur (4.1.0+ds-2) ...
Préparation du dépaquetage de .../61-libldap-2.4-2_2.4.56+dfsg-1_amd64.deb ...
Dépaquetage de libldap-2.4-2:amd64 (2.4.56+dfsg-1) sur (2.4.55+dfsg-1+b1) ...
Préparation du dépaquetage de .../62-libpq5_13.1-1_amd64.deb ...
Dépaquetage de libpq5:amd64 (13.1-1) sur (13.0-6) ...
Préparation du dépaquetage de .../63-libqhull8.0_2020.2-1_amd64.deb ...
Dépaquetage de libqhull8.0:amd64 (2020.2-1) sur (2020.1-2) ...
Préparation du dépaquetage de .../64-libgdal27_3.1.4+dfsg-1+b1_amd64.deb ...
Dépaquetage de libgdal27 (3.1.4+dfsg-1+b1) sur (3.1.4+dfsg-1) ...
Préparation du dépaquetage de .../65-libgl1-mesa-glx_20.2.2-1_amd64.deb ...
Dépaquetage de libgl1-mesa-glx:amd64 (20.2.2-1) sur (20.2.1-1) ...
Préparation du dépaquetage de .../66-libinput-bin_1.16.3-1_amd64.deb ...
Dépaquetage de libinput-bin (1.16.3-1) sur (1.16.2-1) ...
Préparation du dépaquetage de .../67-libinput10_1.16.3-1_amd64.deb ...
Dépaquetage de libinput10:amd64 (1.16.3-1) sur (1.16.2-1) ...
Préparation du dépaquetage de .../68-libjcommon-java_1.0.23-2_all.deb ...
Dépaquetage de libjcommon-java (1.0.23-2) sur (1.0.23-1) ...
Préparation du dépaquetage de .../69-libldap-common_2.4.56+dfsg-1_all.deb ...
Dépaquetage de libldap-common (2.4.56+dfsg-1) sur (2.4.55+dfsg-1) ...
Préparation du dépaquetage de .../70-libplacebo72_2%3a2.72.2-dmo1_amd64.deb ...
Dépaquetage de libplacebo72:amd64 (2:2.72.2-dmo1) sur (2:2.72.0-dmo1) ...
Sélection du paquet libpod-parser-perl précédemment désélectionné.
Préparation du dépaquetage de .../71-libpod-parser-perl_1.63-2_all.deb ...
Ajout de « détournement de /usr/bin/podselect en /usr/bin/podselect.bundled par libpod-parser-perl »
Ajout de « détournement de /usr/share/man/man1/podselect.1.gz en /usr/share/man/man1/podselect.bundled.1.gz par libpod-parser-perl »
Dépaquetage de libpod-parser-perl (1.63-2) ...
Préparation du dépaquetage de .../72-libpugixml1v5_1.10-2_amd64.deb ...
Dépaquetage de libpugixml1v5:amd64 (1.10-2) sur (1.10-1) ...
Préparation du dépaquetage de .../73-librttopo1_1.1.0-2_amd64.deb ...
Dépaquetage de librttopo1:amd64 (1.1.0-2) sur (1.1.0-1) ...
Préparation du dépaquetage de .../74-libtalloc2_2.3.1-2_amd64.deb ...
Dépaquetage de libtalloc2:amd64 (2.3.1-2) sur (2.3.1-1) ...
Préparation du dépaquetage de .../75-python3-talloc_2.3.1-2_amd64.deb ...
Dépaquetage de python3-talloc:amd64 (2.3.1-2) sur (2.3.1-1) ...
Préparation du dépaquetage de .../76-libxatracker2_20.2.2-1_amd64.deb ...
Dépaquetage de libxatracker2:amd64 (20.2.2-1) sur (20.2.1-1) ...
Préparation du dépaquetage de .../77-libzbar0_0.23.1-2+b1_amd64.deb ...
Dépaquetage de libzbar0:amd64 (0.23.1-2+b1) sur (0.23.1-2) ...
Sélection du paquet linux-headers-5.9.0-2-common précédemment désélectionné.
Préparation du dépaquetage de .../78-linux-headers-5.9.0-2-common_5.9.6-1_all.deb ...
Dépaquetage de linux-headers-5.9.0-2-common (5.9.6-1) ...
Sélection du paquet linux-headers-5.9.0-2-amd64 précédemment désélectionné.
Préparation du dépaquetage de .../79-linux-headers-5.9.0-2-amd64_5.9.6-1_amd64.deb ...
Dépaquetage de linux-headers-5.9.0-2-amd64 (5.9.6-1) ...
Préparation du dépaquetage de .../80-linux-headers-amd64_5.9.6-1_amd64.deb ...
Dépaquetage de linux-headers-amd64 (5.9.6-1) sur (5.9.1-1) ...
Sélection du paquet linux-image-5.9.0-2-amd64 précédemment désélectionné.
Préparation du dépaquetage de .../81-linux-image-5.9.0-2-amd64_5.9.6-1_amd64.deb ...
Dépaquetage de linux-image-5.9.0-2-amd64 (5.9.6-1) ...
Préparation du dépaquetage de .../82-linux-image-amd64_5.9.6-1_amd64.deb ...
Dépaquetage de linux-image-amd64 (5.9.6-1) sur (5.9.1-1) ...
Préparation du dépaquetage de .../83-mesa-va-drivers_20.2.2-1_amd64.deb ...
Dépaquetage de mesa-va-drivers:amd64 (20.2.2-1) sur (20.2.1-1) ...
Préparation du dépaquetage de .../84-mesa-vdpau-drivers_20.2.2-1_amd64.deb ...
Dépaquetage de mesa-vdpau-drivers:amd64 (20.2.2-1) sur (20.2.1-1) ...
Préparation du dépaquetage de .../85-python-six_1.15.0-2_all.deb ...
Dépaquetage de python-six (1.15.0-2) sur (1.15.0-1) ...
Préparation du dépaquetage de .../86-python3-attr_20.3.0-1_all.deb ...
Dépaquetage de python3-attr (20.3.0-1) sur (20.1.0-1) ...
Préparation du dépaquetage de .../87-python3-six_1.15.0-2_all.deb ...
Dépaquetage de python3-six (1.15.0-2) sur (1.15.0-1) ...
Préparation du dépaquetage de .../88-python3-tz_2020.4-2_all.deb ...
Dépaquetage de python3-tz (2020.4-2) sur (2020.4-1) ...
Préparation du dépaquetage de .../89-synaptic_0.90.1_amd64.deb ...
Dépaquetage de synaptic (0.90.1) sur (0.90+nmu1) ...
Préparation du dépaquetage de .../90-thunderbird-l10n-fr_1%3a78.4.2-1_all.deb ...
Dépaquetage de thunderbird-l10n-fr (1:78.4.2-1) sur (1:78.4.1-1) ...
Préparation du dépaquetage de .../91-thunderbird_1%3a78.4.2-1_amd64.deb ...
Dépaquetage de thunderbird (1:78.4.2-1) sur (1:78.4.1-1) ...
Paramétrage de libip4tc2:amd64 (1.8.6-1) ...
Paramétrage de libapt-pkg-perl (0.1.36+b4) ...
Paramétrage de logrotate (3.17.0-2) ...
logrotate.service is a disabled or a static unit not running, not starting it.
Paramétrage de libtext-iconv-perl (1.7-7+b1) ...
Paramétrage de libtext-charwidth-perl (0.04-10+b1) ...
Paramétrage de python3-attr (20.3.0-1) ...
Paramétrage de exim4-base (4.94-9+b1) ...
exim4-base.service is a disabled or a static unit not running, not starting it.
Paramétrage de fonts-noto-mono (20201109-1) ...
Paramétrage de linux-image-5.9.0-2-amd64 (5.9.6-1) ...
I: /vmlinuz.old is now a symlink to boot/vmlinuz-5.9.0-1-amd64
I: /initrd.img.old is now a symlink to boot/initrd.img-5.9.0-1-amd64
I: /vmlinuz is now a symlink to boot/vmlinuz-5.9.0-2-amd64
I: /initrd.img is now a symlink to boot/initrd.img-5.9.0-2-amd64
/etc/kernel/postinst.d/dkms:
dkms: running auto installation service for kernel 5.9.0-2-amd64:
Kernel preparation unnecessary for this kernel.  Skipping...
applying patch kernel-5.7.0-set-memory-array.patch...patching file conftest.sh

applying patch use-kbuild-compiler.patch...patching file Makefile

applying patch use-kbuild-flags.patch...patching file Kbuild
patching file nvidia/nvidia.Kbuild
patching file Makefile
patching file nvidia-modeset/nvidia-modeset.Kbuild

applying patch use-kbuild-gcc-plugins.patch...patching file Kbuild

applying patch conftest-verbose.patch...patching file Kbuild

applying patch cc_version_check-gcc5.patch...patching file conftest.sh

applying patch nvidia-use-ARCH.o_binary.patch...patching file nvidia/nvidia.Kbuild

applying patch nvidia-modeset-use-ARCH.o_binary.patch...patching file nvidia-modeset/nvidia-modeset.Kbuild

applying patch conftest-prefer-arch-headers.patch...patching file conftest.sh


Building module:
cleaning build area...
unset ARCH; env NV_VERBOSE=1 make -j8 modules KERNEL_UNAME=5.9.0-2-amd64..............
cleaning build area...

DKMS: build completed.

nvidia-current.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/5.9.0-2-amd64/updates/dkms/

nvidia-current-modeset.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/5.9.0-2-amd64/updates/dkms/

nvidia-current-drm.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/5.9.0-2-amd64/updates/dkms/

nvidia-current-uvm.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/5.9.0-2-amd64/updates/dkms/

depmod...

DKMS: install completed.
.
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-5.9.0-2-amd64
/etc/kernel/postinst.d/zz-update-grub:
Generating grub configuration file ...
Found background image: /usr/share/images/desktop-base/desktop-grub.png
Found linux image: /boot/vmlinuz-5.9.0-2-amd64
Found initrd image: /boot/initrd.img-5.9.0-2-amd64
Found linux image: /boot/vmlinuz-5.9.0-1-amd64
Found initrd image: /boot/initrd.img-5.9.0-1-amd64
Found linux image: /boot/vmlinuz-5.8.0-3-amd64
Found initrd image: /boot/initrd.img-5.8.0-3-amd64
Found linux image: /boot/vmlinuz-5.8.0-2-amd64
Found initrd image: /boot/initrd.img-5.8.0-2-amd64
Found linux image: /boot/vmlinuz-5.8.0-1-amd64
Found initrd image: /boot/initrd.img-5.8.0-1-amd64
Found linux image: /boot/vmlinuz-5.7.0-3-amd64
Found initrd image: /boot/initrd.img-5.7.0-3-amd64
Found linux image: /boot/vmlinuz-5.7.0-2-amd64
Found initrd image: /boot/initrd.img-5.7.0-2-amd64
Found linux image: /boot/vmlinuz-5.7.0-1-amd64
Found initrd image: /boot/initrd.img-5.7.0-1-amd64
Found linux image: /boot/vmlinuz-5.6.0-2-amd64
Found initrd image: /boot/initrd.img-5.6.0-2-amd64
Found linux image: /boot/vmlinuz-5.6.0-1-amd64
Found initrd image: /boot/initrd.img-5.6.0-1-amd64
Found linux image: /boot/vmlinuz-4.19.0-12-amd64
Found initrd image: /boot/initrd.img-4.19.0-12-amd64
Found linux image: /boot/vmlinuz-4.19.0-11-amd64
Found initrd image: /boot/initrd.img-4.19.0-11-amd64
Found linux image: /boot/vmlinuz-4.9.0-3-amd64
Found initrd image: /boot/initrd.img-4.9.0-3-amd64
Adding boot menu entry for EFI firmware configuration
done
Paramétrage de bind9-libs:amd64 (1:9.16.8-1) ...
Paramétrage de libogdi4.1 (4.1.0+ds-3) ...
Paramétrage de libqhull8.0:amd64 (2020.2-1) ...
Paramétrage de fonts-noto-ui-extra (20201109-1) ...
Paramétrage de libcharls2:amd64 (2.1.0+dfsg-8) ...
Paramétrage de libzbar0:amd64 (0.23.1-2+b1) ...
Paramétrage de libip6tc2:amd64 (1.8.6-1) ...
Paramétrage de fonts-noto-extra (20201109-1) ...
Paramétrage de perl-modules-5.32 (5.32.0-4) ...
Paramétrage de libpango-1.0-0:amd64 (1.46.2-3) ...
Paramétrage de libldap-2.4-2:amd64 (2.4.56+dfsg-1) ...
Paramétrage de libjcommon-java (1.0.23-2) ...
Paramétrage de libnftnl11:amd64 (1.1.8-2) ...
Paramétrage de libobjc4:amd64 (10.2.0-17) ...
Paramétrage de linux-headers-5.9.0-2-common (5.9.6-1) ...
Paramétrage de linux-image-amd64 (5.9.6-1) ...
Paramétrage de libgomp1:amd64 (10.2.0-17) ...
Paramétrage de libldap-common (2.4.56+dfsg-1) ...
Paramétrage de libcolord2:amd64 (1.4.5-2) ...
Paramétrage de gnome-terminal-data (3.38.1-2) ...
Paramétrage de libpugixml1v5:amd64 (1.10-2) ...
Paramétrage de python3-tz (2020.4-2) ...
Paramétrage de colord-data (1.4.5-2) ...
Paramétrage de gnome-shell-extension-weather (0.0~git20201103.d8be50f-1) ...
Paramétrage de libasan6:amd64 (10.2.0-17) ...
Paramétrage de poppler-data (0.4.10-1) ...
Paramétrage de libinput-bin (1.16.3-1) ...
Paramétrage de python-six (1.15.0-2) ...
Paramétrage de libtalloc2:amd64 (2.3.1-2) ...
Paramétrage de gnome-desktop3-data (3.38.1-2) ...
Paramétrage de python3-six (1.15.0-2) ...
Paramétrage de libwrap0:amd64 (7.6.q-31) ...
Paramétrage de fonts-noto-unhinted (20201109-1) ...
Paramétrage de libquadmath0:amd64 (10.2.0-17) ...
Paramétrage de libatomic1:amd64 (10.2.0-17) ...
Paramétrage de synaptic (0.90.1) ...
Paramétrage de libxtables12:amd64 (1.8.6-1) ...
Paramétrage de libplacebo72:amd64 (2:2.72.2-dmo1) ...
Paramétrage de libperl5.32:amd64 (5.32.0-4) ...
Paramétrage de libglapi-mesa:amd64 (20.2.2-1) ...
Paramétrage de libgfortran5:amd64 (10.2.0-17) ...
Paramétrage de libubsan1:amd64 (10.2.0-17) ...
Paramétrage de librttopo1:amd64 (1.1.0-2) ...
Paramétrage de gir1.2-colord-1.0:amd64 (1.4.5-2) ...
Paramétrage de libfyba0:amd64 (4.1.1-7) ...
Paramétrage de libkmlbase1:amd64 (1.3.0-9) ...
Paramétrage de linux-headers-5.9.0-2-amd64 (5.9.6-1) ...
/etc/kernel/header_postinst.d/dkms:
dkms: running auto installation service for kernel 5.9.0-2-amd64:.
Paramétrage de thunderbird (1:78.4.2-1) ...
Erreur de l'analyseur AppArmor pour /etc/apparmor.d/usr.bin.thunderbird in /etc/apparmor.d/usr.bin.thunderbird ? la ligne 23 : Impossible d'ouvrir << abstractions/nvidia >>
Paramétrage de libpangoft2-1.0-0:amd64 (1.46.2-3) ...
Paramétrage de libgnome-desktop-3-19:amd64 (3.38.1-2) ...
Paramétrage de fonts-noto-ui-core (20201109-1) ...
Paramétrage de bind9-host (1:9.16.8-1) ...
Paramétrage de libdrm-common (2.4.103-1) ...
Paramétrage de readline-common (8.1~rc2-2) ...
Paramétrage de fonts-noto-core (20201109-1) ...
Paramétrage de firefox-esr (78.4.1esr-2) ...
Paramétrage de libcc1-0:amd64 (10.2.0-17) ...
Paramétrage de exim4-daemon-light (4.94-9+b1) ...
Paramétrage de liblocale-gettext-perl (1.07-4+b1) ...
Paramétrage de liblsan0:amd64 (10.2.0-17) ...
Paramétrage de cpp-10 (10.2.0-17) ...
Paramétrage de libitm1:amd64 (10.2.0-17) ...
Paramétrage de libpangocairo-1.0-0:amd64 (1.46.2-3) ...
Paramétrage de libtsan0:amd64 (10.2.0-17) ...
Paramétrage de libkmldom1:amd64 (1.3.0-9) ...
Paramétrage de gnome-terminal (3.38.1-2) ...
Paramétrage de libinput10:amd64 (1.16.3-1) ...
Paramétrage de thunderbird-l10n-fr (1:78.4.2-1) ...
Paramétrage de libkmlengine1:amd64 (1.3.0-9) ...
Paramétrage de libpangoxft-1.0-0:amd64 (1.46.2-3) ...
Paramétrage de firefox (82.0.3-1) ...
Paramétrage de python3-talloc:amd64 (2.3.1-2) ...
Paramétrage de iptables (1.8.6-1) ...
Paramétrage de linux-headers-amd64 (5.9.6-1) ...
Paramétrage de libgcc-10-dev:amd64 (10.2.0-17) ...
Paramétrage de libreadline8:amd64 (8.1~rc2-2) ...
Paramétrage de libpq5:amd64 (13.1-1) ...
Paramétrage de fonts-noto (20201109-1) ...
Paramétrage de libcolorhug2:amd64 (1.4.5-2) ...
Paramétrage de libgdal27 (3.1.4+dfsg-1+b1) ...
Paramétrage de libayatana-ido3-0.4-0:amd64 (0.8.1-1) ...
Paramétrage de libpurple0 (2.13.0-2.2+b2) ...
Paramétrage de perl (5.32.0-4) ...
Paramétrage de gir1.2-pango-1.0:amd64 (1.46.2-3) ...
Paramétrage de libsnmp40:amd64 (5.9+dfsg-3+b1) ...
Paramétrage de firefox-l10n-fr (82.0.3-1) ...
Paramétrage de libposix-strptime-perl (0.13-1+b7) ...
Paramétrage de gir1.2-gnomedesktop-3.0:amd64 (3.38.1-2) ...
Paramétrage de libunicode-linebreak-perl (0.0.20190101-1+b3) ...
Paramétrage de libpod-parser-perl (1.63-2) ...
Paramétrage de gcc-10 (10.2.0-17) ...
Paramétrage de libsub-name-perl (0.26-1+b1) ...
Paramétrage de firefox-esr-l10n-fr (78.4.1esr-2) ...
Paramétrage de libdrm2:amd64 (2.4.103-1) ...
Paramétrage de libhtml-parser-perl (3.75-1+b1) ...
Paramétrage de libcairo-perl (1.107-1+b1) ...
Paramétrage de bind9-dnsutils (1:9.16.8-1) ...
Paramétrage de libayatana-indicator3-7:amd64 (0.8.3-1) ...
Paramétrage de libalgorithm-diff-xs-perl (0.04-6+b1) ...
Paramétrage de libdrm-amdgpu1:amd64 (2.4.103-1) ...
Paramétrage de libnet-ssleay-perl (1.88-3+b1) ...
Paramétrage de libxml-parser-perl (2.46-1+b2) ...
Paramétrage de libglib-perl:amd64 (3:1.329.3-1+b1) ...
Paramétrage de libdrm-nouveau2:amd64 (2.4.103-1) ...
Paramétrage de libstdc++-10-dev:amd64 (10.2.0-17) ...
Paramétrage de g++-10 (10.2.0-17) ...
Paramétrage de libgbm1:amd64 (20.2.2-1) ...
Paramétrage de perl-tk (1:804.035-0.1+b1) ...
Paramétrage de libimage-magick-q16-perl (8:6.9.11.24+dfsg-1+b2) ...
Paramétrage de libfile-fcntllock-perl (0.22-3+b7) ...
Paramétrage de libclone-perl (0.45-1+b1) ...
Paramétrage de libdrm-radeon1:amd64 (2.4.103-1) ...
Paramétrage de colord (1.4.5-2) ...
Paramétrage de liblist-moreutils-perl (0.416-1+b6) ...
Paramétrage de libdrm-intel1:amd64 (2.4.103-1) ...
Paramétrage de libgl1-mesa-dri:amd64 (20.2.2-1) ...
Paramétrage de libnet-dbus-perl (1.2.0-1+b1) ...
Paramétrage de dnsutils (1:9.16.8-1) ...
Paramétrage de libxatracker2:amd64 (20.2.2-1) ...
Paramétrage de libegl-mesa0:amd64 (20.2.2-1) ...
Paramétrage de mesa-va-drivers:amd64 (20.2.2-1) ...
Paramétrage de libcairo-gobject-perl (1.005-2+b2) ...
Paramétrage de libglib-object-introspection-perl (0.049-1+b1) ...
Paramétrage de mesa-vdpau-drivers:amd64 (20.2.2-1) ...
Paramétrage de libglx-mesa0:amd64 (20.2.2-1) ...
Traitement des actions différées (« triggers ») pour fontconfig (2.13.1-4.2) ...
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.26-1) ...
Traitement des actions différées (« triggers ») pour mime-support (3.64) ...
Traitement des actions différées (« triggers ») pour hicolor-icon-theme (0.17-2) ...
Traitement des actions différées (« triggers ») pour gnome-menus (3.36.0-1) ...
Traitement des actions différées (« triggers ») pour libglib2.0-0:amd64 (2.66.2-1) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.31-4) ...
Traitement des actions différées (« triggers ») pour glx-alternative-mesa (1.2.0) ...
Traitement des actions différées (« triggers ») pour systemd (246.6-2) ...
Traitement des actions différées (« triggers ») pour man-db (2.9.3-2) ...
Traitement des actions différées (« triggers ») pour dbus (1.12.20-1) ...
Paramétrage de nautilus-extension-gnome-terminal (3.38.1-2) ...
Paramétrage de libgl1-mesa-glx:amd64 (20.2.2-1) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.31-4) ...
Press Return to continue, 'q' followed by Return to quit.
Voici l'extrait qui parle du noyau, des headers, puis de nvidia :

Code : Tout sélectionner

Paramétrage de linux-image-5.9.0-2-amd64 (5.9.6-1) ...
I: /vmlinuz.old is now a symlink to boot/vmlinuz-5.9.0-1-amd64
I: /initrd.img.old is now a symlink to boot/initrd.img-5.9.0-1-amd64
I: /vmlinuz is now a symlink to boot/vmlinuz-5.9.0-2-amd64
I: /initrd.img is now a symlink to boot/initrd.img-5.9.0-2-amd64
/etc/kernel/postinst.d/dkms:
dkms: running auto installation service for kernel 5.9.0-2-amd64:
Kernel preparation unnecessary for this kernel.  Skipping...
applying patch kernel-5.7.0-set-memory-array.patch...patching file conftest.sh

applying patch use-kbuild-compiler.patch...patching file Makefile

applying patch use-kbuild-flags.patch...patching file Kbuild
patching file nvidia/nvidia.Kbuild
patching file Makefile
patching file nvidia-modeset/nvidia-modeset.Kbuild

applying patch use-kbuild-gcc-plugins.patch...patching file Kbuild

applying patch conftest-verbose.patch...patching file Kbuild

applying patch cc_version_check-gcc5.patch...patching file conftest.sh

applying patch nvidia-use-ARCH.o_binary.patch...patching file nvidia/nvidia.Kbuild

applying patch nvidia-modeset-use-ARCH.o_binary.patch...patching file nvidia-modeset/nvidia-modeset.Kbuild

applying patch conftest-prefer-arch-headers.patch...patching file conftest.sh


Building module:
cleaning build area...
unset ARCH; env NV_VERBOSE=1 make -j8 modules KERNEL_UNAME=5.9.0-2-amd64..............
cleaning build area...

DKMS: build completed.

nvidia-current.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/5.9.0-2-amd64/updates/dkms/

nvidia-current-modeset.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/5.9.0-2-amd64/updates/dkms/

nvidia-current-drm.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/5.9.0-2-amd64/updates/dkms/

nvidia-current-uvm.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/5.9.0-2-amd64/updates/dkms/

depmod...

DKMS: install completed.
.
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-5.9.0-2-amd64
/etc/kernel/postinst.d/zz-update-grub:
Generating grub configuration file ...
Ça semble s'être bien passé :pardon: Je redémarre et je reviens.
Debian Sid avec Gnome
Avatar du membre
Coq
Membre
Membre
Messages : 41
Enregistré le : 17 avr. 2016, 10:58
Localisation : Provence
Status : Hors ligne

12 nov. 2020, 19:25

Raté, le soucis est toujours présent.

Par acquis de conscience :

Code : Tout sélectionner

# apt-cache policy linux-image-amd64
linux-image-amd64:
  Installé : 5.9.6-1
  Candidat : 5.9.6-1
 Table de version :
 *** 5.9.6-1 500
        500 http://ftp.fr.debian.org/debian sid/main amd64 Packages
        100 /var/lib/dpkg/status
     5.9.1-1 500
        500 http://ftp.fr.debian.org/debian testing/main amd64 Packages
     4.19+105+deb10u7 500
        500 http://security.debian.org stable/updates/main amd64 Packages
     4.19+105+deb10u6 500
        500 http://ftp.fr.debian.org/debian stable/main amd64 Packages
# apt-cache policy linux-headers-amd64
linux-headers-amd64:
  Installé : 5.9.6-1
  Candidat : 5.9.6-1
 Table de version :
 *** 5.9.6-1 500
        500 http://ftp.fr.debian.org/debian sid/main amd64 Packages
        100 /var/lib/dpkg/status
     5.9.1-1 500
        500 http://ftp.fr.debian.org/debian testing/main amd64 Packages
     4.19+105+deb10u7 500
        500 http://security.debian.org stable/updates/main amd64 Packages
     4.19+105+deb10u6 500
        500 http://ftp.fr.debian.org/debian stable/main amd64 Packages
Je tente une réinstallation, vu que dkms semble ne pas avoir de soucis de header.

Code : Tout sélectionner

# aptitude reinstall nvidia-driver nvidia-kernel-dkms
Les paquets suivants seront RÉINSTALLÉS :               
  nvidia-driver nvidia-kernel-dkms 
0 paquets mis à jour, 0 nouvellement installés, 2 réinstallés, 0 à enlever et 4 non mis à jour.
Il est nécessaire de télécharger 0 o/12,8 Mo d'archives. Après dépaquetage, 0 o seront utilisés.
(Lecture de la base de données... 318070 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../nvidia-driver_450.80.02-1_amd64.deb ...
Dépaquetage de nvidia-driver (450.80.02-1) sur (450.80.02-1) ...
Préparation du dépaquetage de .../nvidia-kernel-dkms_450.80.02-1_amd64.deb ...

-------- Uninstall Beginning --------
Module:  nvidia-current
Version: 450.80.02
Kernel:  5.9.0-2-amd64 (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

nvidia-current.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.9.0-2-amd64/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.


nvidia-current-modeset.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.9.0-2-amd64/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.


nvidia-current-drm.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.9.0-2-amd64/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.


nvidia-current-uvm.ko:
 - Uninstallation
   - Deleting from: /lib/modules/5.9.0-2-amd64/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

depmod...

DKMS: uninstall completed.

------------------------------
Deleting module version: 450.80.02
completely from the DKMS tree.
------------------------------
Done.
Dépaquetage de nvidia-kernel-dkms (450.80.02-1) sur (450.80.02-1) ...
Paramétrage de nvidia-kernel-dkms (450.80.02-1) ...
Loading new nvidia-current-450.80.02 DKMS files...
Building for 5.9.0-2-amd64
Building initial module for 5.9.0-2-amd64
Done.

nvidia-current.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/5.9.0-2-amd64/updates/dkms/

nvidia-current-modeset.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/5.9.0-2-amd64/updates/dkms/

nvidia-current-drm.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/5.9.0-2-amd64/updates/dkms/

nvidia-current-uvm.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/5.9.0-2-amd64/updates/dkms/

depmod...

DKMS: install completed.
Paramétrage de nvidia-driver (450.80.02-1) ...
Je tente un nouveau redémarrage mais sans grand espoir car ça s'est déroulé de la même façon juste avant.
Debian Sid avec Gnome
Avatar du membre
Coq
Membre
Membre
Messages : 41
Enregistré le : 17 avr. 2016, 10:58
Localisation : Provence
Status : Hors ligne

12 nov. 2020, 19:39

Merci pour votre aide face à ce soucis dont je ne saisis toujours pas la raison :045:

Après redémarrage je confirme mon pessimisme : toujours pas mieux :search:

À noter également que peut-être en lien avec ça, j'ai des soucis avec AppArmor. Au lancement, j'ai tout juste le temps de lire « [FAILED] Failed to start Load AppArmor profiles. », mais en filmant mon écran j'ai vu la commande suivante :

Code : Tout sélectionner

# systemctl status apparmor.service
● apparmor.service - Load AppArmor profiles
     Loaded: loaded (/lib/systemd/system/apparmor.service; enabled; vendor preset: enabled)
     Active: failed (Result: exit-code) since Thu 2020-11-12 19:27:22 CET; 1min 26s ago
       Docs: man:apparmor(7)
             https://gitlab.com/apparmor/apparmor/wikis/home/
    Process: 515 ExecStart=/lib/apparmor/apparmor.systemd reload (code=exited, status=1/FAILURE)
   Main PID: 515 (code=exited, status=1/FAILURE)

nov. 12 19:27:22 jupiter apparmor.systemd[515]: Restarting AppArmor
nov. 12 19:27:22 jupiter apparmor.systemd[515]: Reloading AppArmor profiles
nov. 12 19:27:22 jupiter apparmor.systemd[532]: Erreur de l'analyseur AppArmor pour /etc/apparmor.d in /etc/apparmor.d/usr.bin.thunderbird ? la ligne 23 : Impossible d'ouvrir << abstractions/nvidia >>
nov. 12 19:27:22 jupiter apparmor.systemd[535]: Erreur de l'analyseur AppArmor pour /etc/apparmor.d in /etc/apparmor.d/usr.lib.libreoffice.program.soffice.bin ? la ligne 101 : Impossible d'ouvrir << abstractions/opencl-nvidia >>
nov. 12 19:27:22 jupiter apparmor.systemd[593]: Erreur de l'analyseur AppArmor pour /etc/apparmor.d/usr.bin.thunderbird in /etc/apparmor.d/usr.bin.thunderbird ? la ligne 23 : Impossible d'ouvrir << abstractions/nvidia >>
nov. 12 19:27:22 jupiter apparmor.systemd[605]: Erreur de l'analyseur AppArmor pour /etc/apparmor.d/usr.lib.libreoffice.program.soffice.bin in /etc/apparmor.d/usr.lib.libreoffice.program.soffice.bin ? la ligne 101 : Impossible d'ouvrir << abstractions/opencl-nvidia >>
nov. 12 19:27:22 jupiter apparmor.systemd[515]: Error: At least one profile failed to load
nov. 12 19:27:22 jupiter systemd[1]: apparmor.service: Main process exited, code=exited, status=1/FAILURE
nov. 12 19:27:22 jupiter systemd[1]: apparmor.service: Failed with result 'exit-code'.
nov. 12 19:27:22 jupiter systemd[1]: Failed to start Load AppArmor profiles.
Je n'ai pas encore enquêté sur ça, soupçonnant que c'est lié au pilote nvidia défaillant.

PS : je ne retrouve pas comment réafficher les messages du démarrage, je suis preneur de la commande qui va bien, ça m'évitera de passer par le téléphone pour ça :icon_e_geek:
Debian Sid avec Gnome
marcastro
Membre actif
Membre actif
Messages : 674
Enregistré le : 22 avr. 2016, 12:05
Localisation : 83560 Saint Julien
Jappix : marcastro@xmpp.jp
Status : Hors ligne

13 nov. 2020, 13:24

que dit la commande:

Code : Tout sélectionner

lspci | egrep 'VGA|3D|Display'
sur le forum depuis 2007.
testing 4.19-amd64#1 sid 4.19-amd64 stretch4.19- bpo nvidia-driver marcastro@xmpp.jp et climatosceptique.
Avatar du membre
Coq
Membre
Membre
Messages : 41
Enregistré le : 17 avr. 2016, 10:58
Localisation : Provence
Status : Hors ligne

13 nov. 2020, 15:40

Voici :

Code : Tout sélectionner

# lspci | egrep 'VGA|3D|Display'
01:00.0 VGA compatible controller: NVIDIA Corporation GP107 [GeForce GTX 1050 Ti] (rev a1)
Debian Sid avec Gnome
Avatar du membre
Coq
Membre
Membre
Messages : 41
Enregistré le : 17 avr. 2016, 10:58
Localisation : Provence
Status : Hors ligne

15 nov. 2020, 18:48

Bonjour à toutes et tous,

Petite nouveauté… J'ai beau démarrer avec le pilote nouveau :

Code : Tout sélectionner

# lsmod | grep nvidia
# lsmod | grep nouveau
nouveau              2322432  19
i2c_algo_bit           16384  1 nouveau
ttm                   122880  1 nouveau
drm_kms_helper        262144  1 nouveau
drm                   614400  11 drm_kms_helper,ttm,nouveau
mxm_wmi                16384  1 nouveau
video                  53248  1 nouveau
wmi                    36864  3 intel_wmi_thunderbolt,mxm_wmi,nouveau
button                 24576  1 nouveau
J'ai au démarrage une erreur liée au chargement de nvidia :

Code : Tout sélectionner

# systemctl status nvidia-persistenced.service
● nvidia-persistenced.service - NVIDIA Persistence Daemon
     Loaded: loaded (/lib/systemd/system/nvidia-persistenced.service; enabled; vendor preset: enabled)
     Active: failed (Result: exit-code) since Sun 2020-11-15 18:32:59 CET; 2min 12s ago
    Process: 638 ExecStart=/usr/bin/nvidia-persistenced --user nvpd (code=exited, status=1/FAILURE)
    Process: 652 ExecStopPost=/bin/rm -rf /var/run/nvidia-persistenced (code=exited, status=0/SUCCESS)

nov. 15 18:32:59 jupiter systemd[1]: Starting NVIDIA Persistence Daemon...
nov. 15 18:32:59 jupiter nvidia-persistenced[646]: Started (646)
nov. 15 18:32:59 jupiter nvidia-persistenced[638]: nvidia-persistenced failed to initialize. Check syslog for more details.
nov. 15 18:32:59 jupiter nvidia-persistenced[646]: Failed to open libnvidia-cfg.so.1: libnvidia-cfg.so.1: cannot open shared object file: No such file or directory
nov. 15 18:32:59 jupiter nvidia-persistenced[646]: Shutdown (646)
nov. 15 18:32:59 jupiter systemd[1]: nvidia-persistenced.service: Control process exited, code=exited, status=1/FAILURE
nov. 15 18:32:59 jupiter systemd[1]: nvidia-persistenced.service: Failed with result 'exit-code'.
nov. 15 18:32:59 jupiter systemd[1]: Failed to start NVIDIA Persistence Daemon.
Erreur que je n'avais pas auparavant :pardon:

Le Schmilblick évolue. De là à dire qu'il avance je ne saurais dire…
Debian Sid avec Gnome
Avatar du membre
Coq
Membre
Membre
Messages : 41
Enregistré le : 17 avr. 2016, 10:58
Localisation : Provence
Status : Hors ligne

18 nov. 2020, 13:01

J'ai une question également concernant le pilote nouveau et un soucis récurrent.

Mon écran est branché sur un switch HDMI car il sert pour le PC et les consoles. Avant mes soucis de pilote je pouvais basculer d'une source à l'autre et revenir au PC sans aucun soucis. Maintenant, quand je démarre sur le pilote nouveau comme indiqué plus haut, dès que l'écran bascule sur une autre source, revenir au PC me laisse avec un écran noir et l'écran finit par d'éteindre en indiquant qu'aucune source n'est connectée.

La seul façon de m'en sorti proprement que j'ai trouvé, c'est de manipuler _à l'aveugle_ pour ouvrir un ttx, me connecter en root et taper reboot. Le PC redémarre (tant pis pour la session Gnome…) et reprend contact avec l'écran.

Est-ce que d'autres que moi connaissent ce désagrément ?

Bref, cette histoire me pousse de plus en plus à réinstaller ma Debian pour retrouver un usage normal de mon PC, mais ne pas comprendre me frustre.
Debian Sid avec Gnome
Répondre